### Method

# Nautilus FileInfo get_parent_uri

#### Declaration [src]

    char*
    nautilus_file_info_get_parent_uri (
      NautilusFileInfo* file_info
    )

#### Description [src]

Get the parent `NautilusFileInfo` uri.

#### Return value

Type: `char*`

The URI for the parent location of `file_info`, or the empty string if it has none.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.